cURL
curl --request POST \ --url https://api.indices.io/v1beta/tasks/{id}/start-manual-session \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "use_proxy": false, "cookies": [ { "name": "<string>", "value": "<string>", "domain": "<string>", "path": "<string>", "secure": true, "http_only": true } ] } '
{ "session_id": "<string>", "iframe_url": "<string>" }
Spawn a browser session for manual task completion. If a session already exists, it will be closed and replaced.
Enter your API key as the bearer token. Set header: Authorization to Bearer <api_key>
Authorization
Bearer <api_key>
The ID of the task to perform manually.
If true, spawn the browser session using a proxy.
Initial cookies to set in the browser session.
Show child attributes
Successful response
Opaque identifier for the spawned browser session.
URL to embed in an iframe to control the browser.